<?php
namespace Claromentis\Documents\Subscriber;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("_7f628626dd1d55c" . "71b1fc0932ffd1d2" . "c" => base64_decode("aXNfYXJyYXk" . "="), "_cc13a0811453f376ca3d9bf4073f66" . "b6" => base64_decode("UmVpbmRleERvY" . "3VtZW50cw=="), "_147160a2e585c182" . "c1b1349779a20ca3" => base64_decode("dGFnZ2Vkc19hZ" . "mZlY3RlZA=="), "_2ddb0d638f8b0800ac1e678385d1d1" . "3f" => base64_decode("dGF" . "nZ2" . "Vkc" . "w=="));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Search\Indexing\IndexingQueue;
use ERMSObject;
use Symfony\Component\EventDispatcher\EventSubscriberInterface;
class TagsSubscriber implements EventSubscriberInterface
{
    
    
    
    
    public static function getSubscribedEvents()
    {
        return [$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_147160a2e58" . "5c182c1b1349" . "779a20ca3"] => $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_cc13a0811453f376ca3d9bf4073" . "f66b6"]];
    }
    
    
    
    
    
    
    public function ReindexDocuments(GenericEvent $event)
    {
        $arguments = $event->getArguments();
        if (!isset($arguments[$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_2ddb0d638f8b0800ac1e6" . "78385d1d13f"]][AGGREGATION_DATA])) {
            return;
        }
        $_54a4e641f6b0a82e03c3b14120cbf5f0 = $arguments[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_2ddb0d638f8b0800ac1e67" . "8385d1d13f"]][AGGREGATION_DATA];
        if (!$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_7f628626dd1d55c71b1fc" . "0932ffd1d2c"]($_54a4e641f6b0a82e03c3b14120cbf5f0)) {
            return;
        }
        foreach ($_54a4e641f6b0a82e03c3b14120cbf5f0 as $_f0abe7892aa8bbbd0c1198602164aa17) {
            IndexingQueue::Reindex(ERMSObject::GetSearchTypeFromAggregation(AGGREGATION_DATA), $_f0abe7892aa8bbbd0c1198602164aa17);
        }
    }
}